i = 0
numbers = []

test = 7

#while i < test:
for i in range(0, test):
    print(f"At the top i is {i}")
    numbers.append(i)

    i = i + 2
    print("Numbers now: ", numbers)
    print(f"At the bottom i is {i}")


print("The numbers: ")

for num in numbers:
    print(num)
